gnewsense-users
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[gNewSense-users] GLX removal breaks GNUstep


From: Yavor Doganov
Subject: [gNewSense-users] GLX removal breaks GNUstep
Date: Wed, 20 Aug 2008 19:48:22 +0300
User-agent: Wanderlust/2.15.5 (Almost Unreal) SEMI/1.14.6 (Maruoka) FLIM/1.14.9 (Goj┼Ź) APEL/10.7 Emacs/22.2 (i486-pc-linux-gnu) MULE/5.0 (SAKAKI)

Currently, none of the GNUstep apps starts:

$ LuserNET
Error (objc-load):libGL.so.1: cannot open shared object file: No such file or 
directory
2008-08-20 19:41:20.680 LuserNET[5209] NSApplication.m:294  Assertion failed in 
initialize_gnustep_backend.  Can't load object file from backend at path 
/usr/lib/GNUstep/Bundles/libgnustep-art-012.bundle
Aborted

$ defaults write NSGlobalDomain GSBackend libgnustep-cairo

$ LuserNET
Error (objc-load):libGL.so.1: cannot open shared object file: No such file or 
directory
2008-08-20 19:42:14.399 LuserNET[5238] NSApplication.m:294  Assertion failed in 
initialize_gnustep_backend.  Can't load object file from backend at path 
/usr/lib/GNUstep/Bundles/libgnustep-cairo-012.bundle
Aborted

Since GLX support is optional both for the art and cairo backends,
simply rebuilding the `gnustep-back' package without any source
changes fixes this unfortunate problem.

Can you do that distro-wide, please, and upload a binNMU (in Debian's
parlance) to the official repository?  Thanks.





reply via email to

[Prev in Thread] Current Thread [Next in Thread]